Collections
Update collection progress
Update the current user's progress through a playlist collection. Set `completed: true` to mark the current video as completed.
POST
Update the current user's progress through a playlist collection.
Set completed: true to mark the current video as completed.
bearerAuthheader
AuthorizationBearer <token>Authentication token from login or API key
id*stringId ID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidUpdate collection progress data
application/json- body
currentTime*stringLength
1 <= lengthcompleted?boolean|null[key: string]?anyUpdated progress
curl -X POST 'https://nuclom.com/api/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08/progress' \ -H 'Content-Type: application/json' \ -d '{ "currentTime": "string"}'Empty